// Language switcher
.language-switcher-language-url {
  ul.links {
    display: block;
    text-align: right;

    li {
      display: inline-block;
      margin-right: 5px;
      margin-bottom: 15px;
      border-right: 2px solid $primary;
      list-style: none;
      text-transform: uppercase;

      a {
        display: block;
        margin-right: 5px;
        padding: 5px 10px;
        text-decoration: none;
        font-weight: bold;
        line-height: 16px;
        color: $primary;

        &:hover,
        &.active {
          background-color: $primarydarken;
          color: $white;
        }

        &.active:hover {
          color: $secondary;
        }
      }

      &:last-child {
        margin-right: 0;
        border-right: 0;

        a {
          margin-right: 0;
        }
      }
    }
  }
}

#navbar {
  margin-bottom: 0;
  padding-top: 20px;
  border: 0;
  border-radius: 0;
  background-color: $white;

  .ultimenu__flyout .block-title {
    @extend .h2;
    color: $white;
  }

  .container {
    position: relative;
  }

  @media #{$gl-md-plus} {
    .mobile-language {
      display: none;
    }

    .region-language {
      display: block;
    }
  }

  @media #{$gl-md} {
    position: fixed;
    z-index: 99990;
    top: 0;
    width: 100%;
    height: 3rem;
    padding-top: 0;
    background-color: $primarydarken;

    > div {
      padding-right: 0;
      padding-left: 0;
    }

    .region-language {
      display: none;
    }

    .mobile-language {
      margin-top: 10px;
      margin-left: 6px;

      ul {
        margin-bottom: 0;
      }

      .region-language {
        display: block;
      }
    }
  }

  .mobile-language {
    float: left;

    ul {
      li {
        border-right: 2px solid $secondary;

        a {
          color: $secondary;
        }

        &:last-child {
          border-right: 0;
        }
      }
    }
  }

  .ultimenu--main {
    float: none;
    min-height: inherit;
    text-align: center;

    @media #{$gl-md} {
      position: fixed;
      top: 3rem;
      left: 0;
      bottom: 0;
      overflow-y: auto;
      width: 100%;
      margin: 0;
      text-align: left;
      background: $white;
    }

    > li {
      display: inline-block;
      margin-left: -4px;

      &:hover {
        a {
          color: $white;
          background-color: $primary;

          @media #{$gl-md} {
            color: $primary;
            background-color: $white;
          }
        }

        > a {
          &::after {
            display: none;
          }

          @media #{$gl-md} {
            background-color: $secondary;

            &::after {
              display: block;
              background-color: $secondary;
            }
          }
        }
      }

      @media #{$gl-md} {
        display: block;
        margin-left: 0;

        span {
          display: none;
        }

        &.has-ultimenu {

          span {
            display: block;
            height: auto;
            border: 0;
            background: none;
            top: 0;
            right: 0;
            min-height: 3rem;
            width: 40px;
            text-align: center;

            &::before {
              display: block;
              position: static;
              margin-top: 0;
              border: 0;
              content: '+';
              font-size: 25px;
              color: $primary;
              width: auto;
            }
          }

          &.js-ultimenu-item-expanded {
            .js-ultimenu-active {
              span {
                &::before {
                  content: '-';
                }
              }
            }
          }

          .ultimenu__flyout {
            padding: 0;

            .block-block-content {
              display: none;
            }

            &__item {
              display: block;
              width: 100%;
              margin: 0;
              padding: 0;
              border: 0;
            }

            .ultimenusub {
              background-color: $white;

              a {
                position: relative;
                display: block;
                padding: 0 .9rem 0 2.5rem;
                line-height: 3rem;
                color: $primary;
              }
            }

            ul {
              margin: 0;
              background-color: $grey25;

              ul.menu {
                display: none;

                a {
                  padding-left: 4rem;
                }
              }

              .js-ultimenu-item-expanded ul {
                display: block;
              }
            }
          }
        }
      }

      > a {
        @include fontapercu;

        position: relative;
        display: block;
        padding: .5rem .8rem;
        text-transform: uppercase;
        color: $primary;

        &::after {
          position: absolute;
          top: 15px;
          right: 0;
          bottom: 10px;
          display: block;
          width: 2px;
          height: 12px;
          content: '';
          background-color: $primary;
        }
        @media #{$gl-md} {
          padding: 0 3rem 0 .9rem;
          line-height: 3rem;

          &::after {
            display: none;
          }
        }
      }

      &:last-child {
        > a {
          &::after {
            display: none;
          }
        }
      }
    }
  }

  .ultimenu__flyout {
    padding: .5rem;
    background-color: $primary;
    border-radius: 0;

    .menu {
      > li {
        display: block;
        float: none;

        > a {
          @include fontapercu;
          padding: 2px 0;
          transition: none;
          text-transform: uppercase;
          line-height: 25px;
          color: $white;
          background: none;

          &:hover,
          &:active {
            color: $link-hover-color;
          }

          &.divider {
            margin-bottom: 18px;
            height: 0;
            opacity: 0;
            overflow: hidden;
          }
        }
      }
    }

    &__item {
      display: table;
      width: 100%;
      padding: 0;
      margin-top: 2rem;
      margin-bottom: 2rem;
      background: none;

      @media #{$gl-md} {
        margin: 0;
      }

      .block,
      .ultimenusub {
        display: table-cell;
        width: 50%;
        border-right: 2px solid $white;
        border-left: 1px solid $white;
        vertical-align: top;
        color: $white;
        padding-top: 0;
        padding-bottom: 2rem;

        @media #{$gl-md} {
          display: block;
          width: 100%;
        }
      }

      .block {
        border-left: 0;
        padding-right: 5%;
        padding-left: 13.5%;
        text-align: left;

        @media #{$gl-md} {
          display: none;
        }
      }

      .ultimenusub {
        border-right: 0;
        padding-left: 5%;
        padding-right: 2%;

        @media #{$gl-md} {
          padding: 0;
        }
      }

      > .ultimenusub {
        border: 0 none;
      }
    }
  }
}

footer {
  .menu {
    > li {
      > a {
        margin-bottom: .5rem;
        padding-top: 0;
        padding-bottom: 0;
        text-transform: uppercase;
        font-weight: 900;
        line-height: 30px;
        background-color: transparent;

        &.menu-title {
          text-transform: none;
        }

        &:active,
        &:hover {
          background-color: transparent;
        }

        &::before {
          top: .24rem;
        }
      }
    }
  }
}

.ultimenu__region {
  .block {
    text-align: left;

    h3 {
      margin-top: 0;
      text-align: left;
      font-size: 30px;
    }
  }
}

.ultimenusub {
  text-align: left;
}

@media #{$gl-md} {
  .user-logged-in {
    #navbar {
      top: 0;
    }
  }

  .button--ultimenu {
    position: fixed ;
    z-index: 99990;
    top: 0;
    right: 10px;
    border: 0;
    background-color: transparent;
    display: inline-block;
    width: 3rem;
    height: 3rem;

    &:focus {
      outline: none;
    }
  }

  .ultimenu--main {
    background: $white;

    .ultimenu__link.is-active {
      background: $white;
    }
  }

  .ultimenusub {
    background-color: $primary;
  }

  .bars {
    top: 50%;
    display: block;
    margin-top: -2px;
    transition-timing-function: cubic-bezier(.55, .055, .675, .19);
    transition-duration: 75ms;

    &,
    &::after,
    &::before {
      position: absolute;
      width: 2rem;
      height: 3px;
      transition-property: transform;
      transition-timing-function: ease;
      transition-duration: .15s;
      background-color: $secondary;
    }

    &::after,
    &::before {
      display: block;
      content: '';
    }

    &::before {
      top: -10px;
      transition: top 75ms ease .12s, opacity 75ms ease;
    }

    &::after {
      bottom: -10px;
      transition: bottom 75ms ease .12s, transform 75ms cubic-bezier(.55, .055, .675, .19), -webkit-transform 75ms cubic-bezier(.55, .055, .675, .19);
    }
  }

  .js-ultimenu-button-active {
    .bars {
      transition-delay: .12s;
      transition-timing-function: cubic-bezier(.215, .61, .355, 1);
      transform: rotate(45deg);
      transition-duration: 75ms;

      &::before {
        top: 0;
        -webkit-transition: top 75ms ease, opacity 75ms ease  .12s;
        transition: top 75ms ease, opacity 75ms ease .12s;
        opacity: 0;
      }

      &::after {
        bottom: 0;
        transform: rotate(-90deg);
        transition: bottom 75ms ease, transform 75ms cubic-bezier(.215, .61, .355, 1) .12s, -webkit-transform 75ms cubic-bezier(.215, .61, .355, 1) .12s;
      }
    }
  }
}

@media #{$gl-md} {
  body {
    padding-top: 3rem;
  }

  .event-anchors {
    position: relative;
    height: 0;

    span {
      position: absolute;
      bottom: 4.2rem;
    }
  }

  .logo-type .col {
    flex-basis: 100%;
    max-width: none;
  }
}

@media #{$gl-xs} {
  #toolbar-administration,
  .toolbar-lining {
    display: none;
  }
}

@media #{$gl-sm} {
  .ultimenu--main .ultimenu__link:active,
  .ultimenu--main .ultimenu__link:hover {
    background: transparent;
  }
}
